Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Lock.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Lock.inl"`

Include dependency graph for Lock.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Lock
| This is the abstract base class that contains the uniform locking API that is supported by all the ACE synchronization mechanisms. More...
class | ACE_Adaptive_Lock
| An adaptive general locking class that defers the decision of lock type to run time. More...

## Detailed Description

Id
  Lock.h,v 4.2 2005/10/28 16:14:53 ossama Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>